View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0020000LazarusDatabasepublic2011-08-16 16:502013-04-29 11:08
Reportermontrezorro 
Assigned ToReinier Olislagers 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionunable to reproduce 
PlatformOSOS Version
Product Version0.9.30Product Build 
Target Version1.1 (SVN)Fixed in Version 
Summary0020000: [IBConnection]: Application crash when I try to connect to an invalid hostname
DescriptionWhen I try to connect (IBConnection1.Open) to an invalid hostname with a TIBConnection (TIBConnection + TSQLTransaction + TSQLQuery), after a timeout, the application throw an access violation:

Project project1.exe raised exception class 'RunError(200)'.

Next the debugger show another message:

Press "Ignore" to continue debugging. This may NOT be save. Press "Abort to stop the debugger.
Exception: EListError.with message "Duplicate ID: FFFFFFFFFFFFFF61"

---

OS: Windows 7 64bit
database: firebird 2.5
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetWin32/Win64
Attached Files? file icon ibconnectionwin64.pas [^] (1,022 bytes) 2013-03-01 09:48

- Relationships

-  Notes
(0050900)
montrezorro (reporter)
2011-08-17 13:49

Compiling at 32bit: seems there are no problem.
(0065959)
Reinier Olislagers (developer)
2013-03-01 09:48
edited on: 2013-04-02 05:06

Attached a test program.

Unless OP has a test program that demonstrates the issue or somebody else has more information on this, I propose this issue be closed, because the test program correctly generates an EIBDatabaseError for client/server Firebird.
====================================================
Edit: removed info about embedded Firebird; it doesn't match the bug report.
====================================================
1. FPC trunk x86 r23675: properly returns a DoInternalConnect exception:
An unhandled exception occurred at $0042E29D:
EIBDatabaseError: : DoInternalConnect :
 -Unable to complete network request to host "doesnotexist.example.com".
 -Failed to establish a connection.
  $0042E29D
  $0042F5F3
  $0042EC7B
  $004432AE

2. FPC trunk ppcrossx64 r23675:
An unhandled exception occurred at $000000010003AAFC:
EIBDatabaseError: : DoInternalConnect :
 -Unable to complete network request to host "doesnotexist.example.com".
 -Failed to establish a connection.
  $000000010003AAFC

(0066192)
Reinier Olislagers (developer)
2013-03-12 10:50

Going to close this issue if OP does not respond within a month.
(0067255)
Reinier Olislagers (developer)
2013-04-29 11:08

montrezorro, if this item is still an issue for you, please reopen.

- Issue History
Date Modified Username Field Change
2011-08-16 16:50 montrezorro New Issue
2011-08-16 16:50 montrezorro Widgetset => Win32/Win64
2011-08-16 18:03 Juha Manninen LazTarget => -
2011-08-16 18:03 Juha Manninen Summary Application crash when I try to connect to an invalid hostname => [IBConnection]: Application crash when I try to connect to an invalid hostname
2011-08-17 13:49 montrezorro Note Added: 0050900
2011-10-06 14:40 Vincent Snijders Status new => acknowledged
2013-03-01 09:48 Reinier Olislagers Note Added: 0065959
2013-03-01 09:48 Reinier Olislagers File Added: ibconnectionwin64.pas
2013-03-01 09:50 Reinier Olislagers Note Added: 0065960
2013-03-01 09:50 Reinier Olislagers Assigned To => Reinier Olislagers
2013-03-01 09:50 Reinier Olislagers Status acknowledged => feedback
2013-03-01 09:50 Reinier Olislagers Target Version => 1.1 (SVN)
2013-03-01 10:01 Reinier Olislagers Note Edited: 0065959 View Revisions
2013-03-01 18:15 Reinier Olislagers Note Deleted: 0065960
2013-03-12 10:50 Reinier Olislagers Note Added: 0066192
2013-04-02 05:06 Reinier Olislagers Note Edited: 0065959 View Revisions
2013-04-29 11:08 Reinier Olislagers Note Added: 0067255
2013-04-29 11:08 Reinier Olislagers Status feedback => resolved
2013-04-29 11:08 Reinier Olislagers Resolution open => unable to reproduce



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker